package com.sundot.airport.exam.logic.manage.model.params;

import com.sundot.airport.exam.logic.manage.model.params.sub.TestPaperQuestionParam;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <b>功能名：</b>TestPaperAddParam<br>
 * <b>说明：</b> 试卷表添加请求参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-22 liangxiao
 */
public class TestPaperAddParam {

    /**
     * 试卷名称
     */
    @NotBlank(message = "试卷名称不能为空")
    private String tpName;

    /**
     * 试卷题目数
     */
    private Integer tpQuesNum;

    /**
     * 试卷总分
     */
    private Integer tpTotalScore;

    /**
     * 试卷分类表业务主键
     */
    @NotNull(message = "分类业务主键不能为Null")
    private String tpcId;

    /**
     * 试卷的题目列表
     */
    @NotEmpty(message = "题目列表不能为空")
    private List<TestPaperQuestionParam> questionList;

    @Override
    public String toString() {
        return "TestPaperAddParam{" +
                "tpName='" + tpName + '\'' +
                ", tpQuesNum=" + tpQuesNum +
                ", tpTotalScore=" + tpTotalScore +
                ", tpcId='" + tpcId + '\'' +
                ", questionList=" + questionList +
                '}';
    }

    public String getTpName() {
        return tpName;
    }

    public void setTpName(String tpName) {
        this.tpName = tpName;
    }

    public Integer getTpQuesNum() {
        return tpQuesNum;
    }

    public void setTpQuesNum(Integer tpQuesNum) {
        this.tpQuesNum = tpQuesNum;
    }

    public Integer getTpTotalScore() {
        return tpTotalScore;
    }

    public void setTpTotalScore(Integer tpTotalScore) {
        this.tpTotalScore = tpTotalScore;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

    public List<TestPaperQuestionParam> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<TestPaperQuestionParam> questionList) {
        this.questionList = questionList;
    }
}
